@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/* ヘッダーのキャプション幅変更　*/
.l-header__bar .c-catchphrase{
    width: 100%;
}

/* 大会情報、新着記事の年度検索　*/

#seach-year-month,
#month-links {
    text-align: center;
}

.selectbox-year {
    position: relative;
}

.selectbox-year::before,
.selectbox-year::after {
    position: absolute;
    content: '';
    pointer-events: none;
}

.selectbox-year::before {
    right: 0;
    display: inline-block;
    width: 2.8em;
    height: 2.8em;
    border-radius: 0 3px 3px 0;
    background-color: #3D78D5;
    content: '';
}

.selectbox-year::after {
    position: absolute;
    top: 50%;
    right: 1.4em;
    transform: translate(50%, -50%) rotate(45deg);
    width: 6px;
    height: 6px;
    border-bottom: 3px solid #fff;
    border-right: 3px solid #fff;
    content: '';
}

.selectbox-year select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    min-width: 230px;
    height: 2.8em;
    padding: .4em 3.6em .4em .8em;
    border: 2px solid #3D78D5;
    border-radius: 3px;
    color: #333333;
    font-size: 1em;
    cursor: pointer;
}

.selectbox-year select:focus {
    outline: 1px solid #3D78D5;
}

.swell-block-linkList.is-style-button .swell-block-linkList__link.selected {
    background-color: var(--the-color);
    color: #fff;
}

/* 大会情報、詳細テーブル */
.detail-box table ol {
    padding-left: unset;
}

.item-option .comments {
    font-size: 0.9em;
    color: #6599b7;
}

.highlighted {
    background-color: #eafaff;
    padding: 8px 0;
}



/* テーブル全体のレイアウト設定 */
table.match_table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
}

table.match_table tbody tr:nth-child(odd) {
    background-color: #f0f0f0;
}

/* PC、タブレットのカスタマイズ */
@media (min-width: 600px) {

    table.match_table td:nth-child(1),
    table.match_table th:nth-child(1) {
        width: 12rem !important;/* 1番目のセル：固定幅 */
        text-align: center;
    }

    table.match_table td:nth-child(3),
    table.match_table th:nth-child(3) {
        width: 21rem !important;/* 3番目のセル：固定幅 */
        text-align: center;
    }

    table.match_table td:nth-child(2),
    table.match_table th:nth-child(2) {
        width: calc(100% - 10rem - 21rem) !important;/* 残り幅を自動調整 */
    }
}
/* スマホのカスタマイズ */
@media (max-width: 599px) {
    table.match_table td,table.match_table th{
        padding: 0.5em!important; 
      }
    table.match_table td:nth-child(3),
    table.match_table th:nth-child(3) {
        text-align: center;
    }
}

/* 大会名 */
table.match_table h3{
font-size: 1.1em;
padding: 3px 0;
}
/* 横並びのリンクコンテナ（調整） */
.link-container {
    display: flex;
    flex-wrap: wrap;
    /* 必要に応じて折り返し */
    justify-content: space-around;
    /* 空白を調整 */
    gap: 5px;
    /* 要素間の隙間を調整 */
    max-width: 100%;
    /* テーブルセルの幅に収まるように */
}

/* 改行専用のコンテナ */
.deadline-container {
    flex-basis: 100%;
    /* 横幅を全体に広げて改行 */
    text-align: center;
    /* 中央揃え（必要なら追加） */
    margin-top: 10px;
    /* 上部にスペースを追加 */
}

/* データがある場合のリンク */
.link-available {
    background-color: var(--color_link);
    ;
    color: white;
    padding: 3px 10px;
    text-decoration: none;
    border-radius: 5px;
    transition: all 0.3s ease;
    border: 1px solid var(--color_link);
}

.link-available:hover {
    background-color: white;
    color: var(--color_link);
    ;
    border: 1px solid var(--color_link);
}

/* データがない場合 */
.link-unavailable {
    background-color: gray;
    color: white;
    padding: 3px 10px;
    border-radius: 5px;
    pointer-events: none;
    cursor: default;
    border: 1px solid  gray;
}

/* データがある場合（WEB申込のスタイル） */
.link-web {
    background-color: var(--color_icon_point); /* 初期背景色 */
    color: white; /* 初期文字色 */
    padding: 3px 10px;
    text-decoration: none;
    border-radius: 5px;
    transition: all 0.3s ease; /* ホバー時のアニメーション */
    border: 1px solid var(--color_icon_point);
}

.link-web:hover {
    background-color: white; /* ホバー時の背景色を白に */
    color: var(--color_icon_point); /* ホバー時の文字色を反転 */
    border: 1px solid var(--color_icon_point);
}

/* データがない場合（大会詳細のスタイル） */
.link-web-unavailable {
    background-color: var(--color_link);
    color: white; 
    padding: 3px 10px;
    text-decoration: none;
    border-radius: 5px;
    transition: all 0.3s ease; 
    border: 1px solid var(--color_link);
}

.link-web-unavailable:hover {
    background-color: white; 
    color: var(--color_link);
    border: 1px solid var(--color_link);
}

/* 改行された締切のスタイル */
.deadline {
    font-size: 0.9em;
    color: #333;
}

.detail-box .item-description .pdf-embed{
    margin-top: 1rem;
}
.detail-box .item-description .pdf-embed iframe {
    width: 100%;
    height: 85vh;
    max-height: 1000px;
    border: none;
}